package com.huiju.estateagents.eContract.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.bo.request.ContractRecordRequestBO;
import com.huiju.estateagents.eContract.entity.TaContract;

import java.time.LocalDateTime;

/**
 * <p>
 * 合同列表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
public interface ITaContractService extends IService<TaContract> {

    /**
     * 条件查询合同列表
     *
     * @param requestBO
     * @return
     */
    ResponseBean listContractForChannel(ContractRecordRequestBO requestBO);
}
